Warning message not in a warning color

Bug #1587950 reported by Knut Jackowski on 2016-06-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Cecilia Vela Gurovic
15.10
High
Unassigned
16.04
High
Unassigned
16.10
High
Cecilia Vela Gurovic

Bug Description

The warning message, that is intended to prevent users from accidentally editing/deleting a note in more than one place uses a color that does not convey the intent of a warning. This may lead to unintentional consequences, that might be prevented by a more suitable color[1].

Mahara Version: 15.10.3

[1]:https://infinum.co/the-capsized-eight/articles/ux-quick-tip-the-proper-way-of-handling-notifications

Knut Jackowski (kjackowski) wrote :

Hello Knut,

Thank you for your report. This must have been an oversight during the move to Bootstrap.

We'll fix it to use the general "warning" class.

If you want to give it a go in fixing it, please feel free to assign yourself to the bug and remove Liam. :-)

Cheers
Kristina

Knut Jackowski (kjackowski) wrote :

Hello Kristina,

I will give it a shot.

Cheers,
Knut

Fantastic, Knut!

All our developer documentation is available at https://wiki.mahara.org/index.php/Developer_Area

Mahara itself now has a styleguide built-in /theme/styleguide.php but the notices aren't documented yet. :-( It should be the standard bootstrap class though and easy to swap the info for the warning.

Since we are working with Git, the best would be to set up your developer environment with Git: https://wiki.mahara.org/wiki/Developer_Area/Developer_Environment

And then establish the connection to Gerrit, our code review system: https://wiki.mahara.org/wiki/Developer_Area/Contributing_Code

If all that or just the Gerrit part is a bit too much for this change, you can also attach a patch directly here and we'll put it into code review for you so that this is not keeping you from contributing. :-)

Cheers
Kristina

Reviewed: https://reviews.mahara.org/6934
Committed: https://git.mahara.org/mahara/mahara/commit/f021cbc76681a0c3980422df4742ce7bccde51a7
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit f021cbc76681a0c3980422df4742ce7bccde51a7
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Sep 7 13:09:49 2016 +1200

Bug 1587950: Change style from information to warning in note block

When editing note with content associated with other note
and when note is locked

behatnotneeded

Change-Id: I9d0fa9eda540c27c73fc3a874f87f88fd0f3c2b9

Reviewed: https://reviews.mahara.org/6958
Committed: https://git.mahara.org/mahara/mahara/commit/8f68c3d0b7b0d3b559b53e2f8594f83bcf9bc428
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit 8f68c3d0b7b0d3b559b53e2f8594f83bcf9bc428
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Sep 7 13:09:49 2016 +1200

Bug 1587950: Change style from information to warning in note block

When editing note with content associated with other note
and when note is locked

behatnotneeded

Change-Id: I9d0fa9eda540c27c73fc3a874f87f88fd0f3c2b9
(cherry picked from commit f021cbc76681a0c3980422df4742ce7bccde51a7)

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/6960

Reviewed: https://reviews.mahara.org/6959
Committed: https://git.mahara.org/mahara/mahara/commit/29fb3836fc7339ebb164cd5f1c97f11007171d3d
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 29fb3836fc7339ebb164cd5f1c97f11007171d3d
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Sep 7 13:09:49 2016 +1200

Bug 1587950: Change style from information to warning in note block

When editing note with content associated with other note
and when note is locked

behatnotneeded

Change-Id: I9d0fa9eda540c27c73fc3a874f87f88fd0f3c2b9
(cherry picked from commit f021cbc76681a0c3980422df4742ce7bccde51a7)
(cherry picked from commit 8f68c3d0b7b0d3b559b53e2f8594f83bcf9bc428)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6960
Committed: https://git.mahara.org/mahara/mahara/commit/4d5c359d7b873a752e9a4ffa0dd324a9a92b5335
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 4d5c359d7b873a752e9a4ffa0dd324a9a92b5335
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Sep 7 13:09:49 2016 +1200

Bug 1587950: Change style from information to warning in note block

When editing note with content associated with other note
and when note is locked

behatnotneeded

Change-Id: I9d0fa9eda540c27c73fc3a874f87f88fd0f3c2b9
(cherry picked from commit f021cbc76681a0c3980422df4742ce7bccde51a7)
(cherry picked from commit 8f68c3d0b7b0d3b559b53e2f8594f83bcf9bc428)

tags: added: usermanualupdate
Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.0 → none
tags: removed: usermanualupdate
Robert Lyon (robertl-9) on 2016-10-25
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments